package de.snailshell.consensus.demo;

import java.util.Collection;

import de.uka.ipd.consensus.foundation.schema.AssociationRole;
import de.uka.ipd.consensus.foundation.schema.User;

/**
 * @author Thomas Much
 * @version 2006-06-14
 */
public class RoleBean {

	private AssociationRole role;
	private Collection      topics;


	public RoleBean(User user, AssociationRole role) {
		this.role   = role;
		this.topics = role.getTopics( user );
	}


	public AssociationRole getRole() {
		return this.role;
	}


	public Collection getTopics() {
		return this.topics;
	}

}
